/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.shopping.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

import java.math.BigDecimal;

/**
 * 配货表实体类
 *
 * @author BladeX
 * @since 2022-03-15
 */
@Data
@TableName("t_consign_dist")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "ConsignDist对象", description = "配货表")
public class ConsignDist extends BaseEntity {

	private static final long serialVersionUID = 1L;

	/**
	 * 寄售Id
	 */
	@ApiModelProperty(value = "寄售Id")
	private Long consignId;
	/**
	 * 商品ID
	 */
	@ApiModelProperty(value = "商品ID")
	private Long goodsId;
	/**
	 * 商品价格
	 */
	@ApiModelProperty(value = "商品价格")
	private Double goodsPrice;
	/**
	 * 数量
	 */
	@ApiModelProperty(value = "数量")
	private Integer totalNum;
	/**
	 * 总商品价格
	 */
	@ApiModelProperty(value = "总商品价格")
	private Double totalPrice;


}
