/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.shopping.service.impl;

import org.springblade.modules.shopping.entity.GoodsSearch;
import org.springblade.modules.shopping.vo.GoodsSearchVO;
import org.springblade.modules.shopping.mapper.GoodsSearchMapper;
import org.springblade.modules.shopping.service.IGoodsSearchService;
import org.springblade.core.mp.base.BaseServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * 商品搜索表 服务实现类
 *
 * @author BladeX
 * @since 2022-03-15
 */
@Service
public class GoodsSearchServiceImpl extends BaseServiceImpl<GoodsSearchMapper, GoodsSearch> implements IGoodsSearchService {

	@Override
	public IPage<GoodsSearchVO> selectGoodsSearchPage(IPage<GoodsSearchVO> page, GoodsSearchVO goodsSearch) {
		return page.setRecords(baseMapper.selectGoodsSearchPage(page, goodsSearch));
	}

}
