/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.shopping.vo;

import io.swagger.annotations.ApiModelProperty;
import org.springblade.modules.shopping.entity.SpecItems;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;

/**
 * 商品规格值表视图实体类
 *
 * @author BladeX
 * @since 2022-02-13
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "SpecItemsVO对象", description = "商品规格值表")
public class SpecItemsVO extends SpecItems {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "商品名称")
	private String goodsName;

	@ApiModelProperty(value = "商品编号")
	private String productNo;

	@ApiModelProperty(value = "规格名称")
	private String specName;

	@ApiModelProperty(value = "市场价")
	private Double marketPrice;

	@ApiModelProperty(value = "销售价（购买价）")
	private Double goodsPrice;

	@ApiModelProperty(value = "酒票数")
	private Double ticketNum;

	@ApiModelProperty(value = "商品总库存")
	private Integer goodsStock;

	@ApiModelProperty(value = "商品ID")
	private String goodsSpecIds;

}
